variables:
  DOCKER_HOST: tcp://docker:2375/
  DOCKER_DRIVER: overlay2
  BROWSER: "CHROME"
  EXECUTION: "HUB"
  URL: "http://4.0.13.90:8080/bac/"

# Official docker compose image.
image:
  name: carsharing/docker-compose-maven:latest

services:
  - docker:dind

stages:
  - test
  - docker_down
  - send_email

test_automation:
  stage: test
  script:
    - mkdir -p $HOME/.m2/
    - docker-compose up -d
    - mvn clean test
  artifacts:
    when: always
    paths:
      - Reporte
      
docker_down:
  stage: docker_down
  when: always
  script:
    - docker-compose down

send_email:
  stage: send_email
  when: always
  script: curl -s --user "api:$MAILGUN_API_KEY"
    "https://api.mailgun.net/v3/$MAILGUN_DOMAIN/messages"
    -F from='Emilio Silva <emilio.silva.solis@gmail.com>'
    -F to=emilio.silva@colmena.cl
    -F to=william@hakalab.com
    -F cc=emilio.silva.solis@gmail.com
    -F subject='Reporte Pruebas Automatizadas'
    -F text='Se completo la ejecucion de las pruebas automatizadas por pipeline, revisa su resultado en el siguente link https://gitlab.com/Jesus.Alejandro.Colmena/bac_ambulatorio_v2/-/pipelines'
#    -F attachment=@Reporte/BonoGes.html




